;Content-Disposition: form-data; filename="insul.lsp"
;Content-Type: application/octet-stream

;Written by Dave Burke
;INSUL.lsp   Draws batt insulation between two lines
;Copyright Dave Burke...1996
;
(defun c:iu ( / a1 a2 cly ept ppt pt1 pt2 pt3 pt4 pt5 pt6 spt tot wid)
(command"cmdecho""0""osmode""175")
(setq cly(getvar"clayer"))
(initget 1)
(setq spt(getpoint"\nSelect first wall line to insulate <endp>"))
(command"osmode""175")
(initget 1)
(setq ppt(getpoint spt"\nSelect second wall line to insulate <perp>"))
(command"osmode""175")
(initget 1)
(setq ept(getpoint spt"\nSelect amount of wall to insulate <endp>"))
(command"osmode""0")
(setq   a1(angle spt ept)
	a2(angle spt ppt)
	tot(distance spt ept)
	wid(distance spt ppt)
	pt1 spt
	pt2(polar(polar pt1 a1(* 0.2 wid))a2(* 0.4 wid))
	pt3(polar(polar pt1 a1(* 0.05 wid))a2(* 0.6 wid))
	pt4(polar pt3 a1(* 0.4 wid))
	pt5(polar pt2 a1(* 0.1 wid))
	pt6(polar pt1 a1(* 0.5 wid)))
(command".layer""m""INS""c""253""""")
(command".line"spt(polar spt a1 wid)"")
(command".erase""l""")
(command".pline"pt1"a"pt2"l"pt3"a"pt4"l"pt5)
(while(<(distance spt pt6) tot)
  (setq pt2(polar pt2 a1(* 0.5 wid))
	pt3(polar pt3 a1(* 0.5 wid))
	pt4(polar pt4 a1(* 0.5 wid))
	pt5(polar pt5 a1(* 0.5 wid))
	pt6(polar pt6 a1(* 0.5 wid)))
  (command"a"pt2"l"pt3"a"pt4"l"pt5)
)
(command"a"pt6"")
(command"osmode""175")
(command".layer""s"cly"")
(princ))
